2020-08-13 16:35 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002688Spring engineLuapublic2011-11-01 13:12
ReporterKingRaptor 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.82.7+git 
Target VersionFixed in Version83.0 
Summary0002688: (develop) UnitFinished is called twice when setting build progress to 1 with Lua
DescriptionIf a unit is currently under construction (with a working con) and its progress is set to 1 with Spring.SetUnitHealth, UnitFinished is called twice.
Steps To ReproduceStart a Zero-K game of v0.8.10.x or earlier (straight from spring.exe is fine), choose a commander, then have it build a factory.
Additional InformationRelevant function in start_unit_setup.lua:

function gadget:UnitCreated(unitID, unitDefID, teamID, builderID)
    if plop and ploppableDefs[unitDefID] and facplops[builderID] then
        facplops[builderID] = nil
        local maxHealth = select(2,Spring.GetUnitHealth(unitID))
        Spring.SetUnitHealth(unitID, {health = maxHealth*1, build = 1})
        local x,y,z = Spring.GetUnitPosition(unitID)
        Spring.SpawnCEG("gate", x, y, z)
        CheckForShutdown()
    end
end
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0007476

KingRaptor (reporter)

Problem persists in develop 82.8.1-30-g5dbb98b

Tested with this gadget: http://pastebin.com/HJZ3RMtL
in BA Remake v7.20

~0007477

KingRaptor (reporter)

Never mind, it appears the versions on http://springrts.com/dl/buildbot/default/develop/ aren't up to date.

~0007478

tvo (reporter)

Closing on request of KingRaptor, as the 82.8.1-30-g5dbb98b build is from 12 oct.
+Notes

-Issue History
Date Modified Username Field Change
2011-10-13 11:15 KingRaptor New Issue
2011-10-18 21:17 Kloot Status new => resolved
2011-10-18 21:17 Kloot Fixed in Version => 0.83.0
2011-10-18 21:17 Kloot Resolution open => fixed
2011-10-18 21:17 Kloot Assigned To => Kloot
2011-11-01 12:23 KingRaptor Note Added: 0007476
2011-11-01 12:23 KingRaptor Status resolved => feedback
2011-11-01 12:23 KingRaptor Resolution fixed => reopened
2011-11-01 12:45 KingRaptor Note Added: 0007477
2011-11-01 13:12 tvo Note Added: 0007478
2011-11-01 13:12 tvo Status feedback => resolved
2011-11-01 13:12 tvo Resolution reopened => fixed
+Issue History